﻿using System;
using System.Linq;
using System.Xml.Linq;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using Telerik.Web.UI;
using System.Data;

namespace VisualWebPartProject3.VisualWebPart1
{
    public partial class VisualWebPart1UserControl : UserControl
    {
        protected void Page_Init(object sender, EventArgs e)
        {
            RadGrid1.NeedDataSource += new Telerik.Web.UI.GridNeedDataSourceEventHandler(RadGrid1_NeedDataSource);
            ddlSelectData.SelectedIndexChanged += new EventHandler(ddlSelectData_SelectedIndexChanged);
        }

        protected void ddlSelectData_SelectedIndexChanged(object sender, EventArgs e)
        {
            if (ddlSelectData.SelectedIndex == 0)
            {
                DataSource = null;
                RadGrid1.Rebind();
            }
            else if (ddlSelectData.SelectedIndex == 1)
            {
                DataTable table = new DataTable();
                table.Columns.Add(new DataColumn("ID"));
                table.Columns.Add(new DataColumn("Value"));

                DataRow row = table.NewRow();
                row["ID"] = 1;
                row["Value"] = "First load";

                table.Rows.Add(row);
                
                DataSource = table;

                 
                RadGrid1.Rebind();
            }
            else
            {
                DataTable table = new DataTable();
                table.Columns.Add(new DataColumn("ID"));
                table.Columns.Add(new DataColumn("Value"));

                DataRow row = table.NewRow();
                row["ID"] = 1;
                row["Value"] = "Second load";

                table.Rows.Add(row);

                DataSource = table;

                RadGrid1.Rebind();
            }
        }

        protected void RadGrid1_NeedDataSource(object source, Telerik.Web.UI.GridNeedDataSourceEventArgs e)
        {
            ((RadGrid)source).DataSource = DataSource;
        }

        private object DataSource
        {
            get
            {
                if (ViewState["DataSource"] == null)
                    ViewState["DataSource"] = new object[] { };

                return ViewState["DataSource"];
            }
            set
            {
                ViewState["DataSource"] = value;
            }
        }
    }
}

